0

Please help me, my iPod 4 won't upgrade past ios 6.1.6 and this is very annoying as there are many apps that you have to have at least ios 7 or 8 for. Does anyone know how I can upgrade?! Thanks!

1
1

You can't update to iOS 9. According to Apple, it's only compatible with iPod 5th & 6th generation.

Apple stops signing (authorizing) previous iOS versions shortly after the new ones come out. Because of that, you can't update to iOS 7 or 8 because they're no longer available from Apple.

You might be able to bypass this restriction by jailbreaking your device but I don't recommend that because there's many things that can wrong, including bricking your iPod.

1
  • Maximum iOS for iPod 4 is 6.1.6 - that's just as far as it can go.
    – Tetsujin
    Apr 1 '16 at 15:56

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .